# Update ledger attachment

## Updates an existing ledger attachment.

> Updates the properties (name, description) of an existing ledger attachment. File content cannot be changed.

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"5.0.5521-gb6ada4dc"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/billing/ledgers/{ledgerId}/attachments/{id}":{"put":{"tags":["LedgerAttachments"],"summary":"Updates an existing ledger attachment.","description":"Updates the properties (name, description) of an existing ledger attachment. File content cannot be changed.","parameters":[{"name":"ledgerId","in":"path","description":"The ID of the ledger to which the attachment belongs.","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"The ID of the attachment to update.","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"The updated attachment details.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LedgerAttachment"}},"text/json":{"schema":{"$ref":"#/components/schemas/LedgerAttachment"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/LedgerAttachment"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LedgerAttachment"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"LedgerAttachment":{"type":"object","properties":{"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"revision":{"type":"integer","format":"int32"},"name":{"type":"string","description":"Name of the attachment."},"type":{"allOf":[{"$ref":"#/components/schemas/BillingAttachmentType"}],"description":"Specifies the type of the attachment, such as input, output, or general attachment."},"filename":{"type":"string","description":"Represents the name of the file associated with the attachment."},"size":{"type":"integer","description":"Indicates the size of the file in bytes.","format":"int64","nullable":true},"contentType":{"type":"string","description":"Represents the MIME type of the file content."},"description":{"type":"string","description":"Provides a description of the attachment."},"isDeleted":{"type":"boolean","description":"Indicates whether the attachment has been marked as deleted."},"id":{"type":"string","description":"The unique identifier of the attachment."},"ledger":{"type":"object","allOf":[{"$ref":"#/components/schemas/LedgerRef"}]}},"additionalProperties":false,"description":"Represents an attachment associated with a ledger in the billing system."},"PlatformObjectAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"PlatformObjectEvent":{"type":"object","properties":{"at":{"type":"string","format":"date-time","nullable":true},"by":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlatformIdentityRef"}]}},"additionalProperties":false},"PlatformIdentityRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"PlatformMetadata":{"type":"object","properties":{"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"BillingAttachmentType":{"enum":["Attachment","Input","Output"],"type":"string","description":"Represents the type of billing attachment."},"LedgerRef":{"type":"object","properties":{"revision":{"type":"integer","format":"int32"},"id":{"type":"string","description":"The unique identifier of the ledger."}},"additionalProperties":false,"description":"Represents a ledger in the billing system."},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/billing-api/ledger/update-ledger-attachment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
